Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter
Class FilterUtil

    java.lang.Object
      org.crosswire.jsword.book.filter.FilterUtil

    public class FilterUtil

extends Object

Utilities to help filters.

Both OSISFilter and THMLFilter need to report on strings that failed parsing but don't want to output too much data. forOutput() helps.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: FilterUtil.java,v 1.4 2004/09/21 17:46:24 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`private static int` | `MAX_OUTPUT_LEN` Some XML strings are very long and we don't want to debug the lot

Constructor Summary
`private` | `FilterUtil()` Prevent Instansiation

Method Summary
`static String` | `forOutput(String data)` Cut up the input data so it is OK to output in an error log

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_OUTPUT_LEN

    private static final int MAX_OUTPUT_LEN

  Some XML strings are very long and we don't want to debug the lot

  See Also:
    Constant Field Values

Constructor Detail

### FilterUtil

    private FilterUtil()

  Prevent Instansiation

Method Detail

### forOutput

    public static String forOutput(String data)

  Cut up the input data so it is OK to output in an error log

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD